function drawCircle (radius, xcenter, ycenter, properties, width)
% drawCircle(radius, xcenter, ycenter, properties, width)
% draws a circle with the specified radius, centered on location
% (xcenter, ycenter) with the specified properties and width. The
% properties and width inputs are optional

angles = linspace(0, 2*pi, 50);
xcoords = xcenter + radius * cos(angles);
ycoords = ycenter + radius * sin(angles);
if (nargin == 3)
    plot(xcoords, ycoords, 'b', 'LineWidth', 1);
elseif (nargin == 4)
    plot(xcoords, ycoords, properties, 'LineWidth', 1);
else
    plot(xcoords, ycoords, properties, 'LineWidth', width);
end
axis equal
